﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StockInQuiry.Dto
{
    public class BomStockInquiryOutput
    {
        public string code { get; set; }
        public string type { get; set; }
        public string message { get; set; }
        public List<resultBomData> result { get; set; }
        public string extras { get; set; }
        public string time { get; set; }
    }

    public class resultBomData
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string materialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        public string materialName { get; set; }

        /// <summary>
        /// sap入参
        /// </summary>
        public string Parameter { get; set; }

        /// <summary>
        /// 消息类型
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string Matnr { get; set; }

        /// <summary>
        /// 工厂
        /// </summary>
        public string Werks { get; set; }

        /// <summary>
        /// 预留需求数量
        /// </summary>
        public string Bdmng { get; set; }

        /// <summary>
        /// 库存
        /// </summary>
        public string Labst { get; set; }

        /// <summary>
        /// 未清采购申请数量
        /// </summary>
        public string ZwqslPr { get; set; }

        /// <summary>
        /// 未清采购订单数量
        /// </summary>
        public string ZwqslPo { get; set; }
        /// <summary>
        /// 基本计量单位
        /// </summary>
        public string Meins { get; set; }

        /// <summary>
        /// sap出参
        /// </summary>
        public string Result { get; set; }

        /// <summary>
        /// 更新日期
        /// </summary>
        public DateTime DateUpdated { get; set; }

        /// <summary>
        /// 查询状态
        /// </summary>
        public string State { get; set; }

    }
}
