﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StockInQuiry.Dto
{
    public class PdmMaterialBom
    {
        public string code { get; set; }
        public string type { get; set; }
        public string message { get; set; }
        public List<PdmMaterialBomData> result { get; set; }
        public string extras { get; set; }
        public string time { get; set; }
    }

    public class PdmMaterialBomData
    {
        public long OrderIndex { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string PartNumber { get; set; }

        /// <summary>
        /// 名称  映射字段
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        public float QtyManual { get; set; }

        /// <summary>
        /// 代号  映射字段
        /// </summary>
        public string fld005747 { get; set; }

        /// <summary>
        /// 品牌  映射字段
        /// </summary>
        public string fld005590 { get; set; }

        /// <summary>
        /// 材质  映射字段
        /// </summary>
        public string fld005587 { get; set; }

        /// <summary>
        /// 表面处理  映射字段
        /// </summary>
        public string fld006325 { get; set; }

        /// <summary>
        /// 单位  映射字段
        /// </summary>
        public string fld005744 { get; set; }

        /// <summary>
        /// 版本+修订版  映射字段
        /// </summary>
        public string childVersion { get; set; }

        /// <summary>
        /// 库存  映射字段
        /// </summary>
        public string fld006928 { get; set; }

        /// <summary>
        /// 预留  映射字段
        /// </summary>
        public string fld006929 { get; set; }

        /// <summary>
        /// 未清采购申请数量  映射字段
        /// </summary>
        public string fld006930 { get; set; }

        /// <summary>
        /// 未清采购订单数量  映射字段
        /// </summary>
        public string fld006931 { get; set; }
    }
}
