﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StockInQuiry.Dto
{
    public class SapPriceInquiryOutput
    {
        public string code { get; set; }
        public string type { get; set; }
        public string message { get; set; }
        public PriceInquiryData result { get; set; }
        public string extras { get; set; }
        public string time { get; set; }
    }
    public class PriceInquiryData
    {
        /// <summary>
        /// sap入参
        /// </summary>
        public string Parameter { get; set; }

        /// <summary>
        /// 消息类型
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        public string Matnr { get; set; }

        /// <summary>
        /// 工厂
        /// </summary>
        public string Bwkey { get; set; }

        /// <summary>
        /// 价格
        /// </summary>
        public string Verpr { get; set; }

        /// <summary>
        /// sap出参
        /// </summary>
        public string Result { get; set; }

        /// <summary>
        /// 更新日期
        /// </summary>
        public DateTime DateUpdated { get; set; }
    }
}
